﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7000 (1 yr) Baud Rate Lmt VER IEEE /9500/600
DATE:                  2017-07-18 08:27:48
AUTHOR:                Fluke
REVISION:              $Revision: 20362 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       510
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Models Covered:
#        DPO7254, DPO7354
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek DPO7000 Select Channel IEEE

  1.002  RSLT         =
  1.003  RSLT         =BAUD RATE LIMITS
  1.004  RSLT         =
  1.005  HEAD         { Signal path 0, Pattern Matching 1}
  1.006  HEAD         -2 Trigger 1 UI before 0
  1.007  TARGET
  1.008  IEEE2        ACQ:STATE RUN
  1.009  IEEE2        CH[V @Chan]:SCA 50E-3;TER 50
  1.010  IEEE2        HOR:SCA 1E-9
  1.011  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYP PK2P;STATE ON
  1.012  IEEE2        ACQ:MODE AVE;NUMAV 64
# 9500 output 4 division of amplitude centered on the display.
  1.013  MATH         MEM = 200; MEM1 = MEM

  1.014  DO
  1.015  MATH         MEM = MEM1 + (200 - MEM) / 2

  1.016  IF           (MEM > 4000) || (MEM < 50)
  1.017  MATH         MEM = 200
  1.018  ENDIF

  1.019  9500         mVpp                         416MH          LS    S  L
  1.020  WAIT         -t 3 DUT Settling...
  1.021  IEEE2        TRIG:A SETL
  1.022  IEEE2        MEASU:STATI:COUNT RESET;MODE ALL
  1.023  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
  1.024  MATH         MEM = MEM / 1E-3
  1.025  UNTIL        (MEM >= 199) && (MEM <= 201)

# Restore the calibrator output value.
  1.026  MATH         Vsour = MEM1
# trigger level at 25% (-1 division) on sine wave.
  1.027  MATH         MEM = (MEM * 1E-3) / 4
  1.028  MATH         MEM = 0 - MEM
# Set the cursor.
  1.029  IEEE2        TRIG:A:LEV [MEM]
  1.030  IEEE2        CURS:STATE ON;SOU CH[V @Chan];FUNC WAVE
# Set trigger mode.
  1.031  IEEE2        TRIG:A:TYP SERIAL
  1.032  IEEE2        TRIG:A:SERIAL:COD NRZ;SOU CH[V @Chan];STAN ENET1250
  1.033  IEEE2        TRIG:A:SERIAL:DAT:FORM HEX;PAT:NRZ "B6DB 6DB6 DB6D B6DB"
  1.034  WAIT         -t 10 DUT Settling...
# Move Cursors to Center
  1.035  IEEE2        CURS:WAVE:POSITION1 0;POSITION2 800E-12
  1.036  IEEE2        CURS:MOD TRACK
# Check the trigger status. If the DUT doesn't triggered, test will failed.
  1.037  CALL         Sub Tek DPO7000 Is Triggered IEEE

  1.038  IF           @Triggered
  1.039  IEEE2        ACQ:STATE OFF
# Center cursor 2 in the low of the waveform just to the right of the center
# graticule line. Cursor2's vertial position is initially located at negative
# part of waveform.
  1.040  WAIT         [D1000]
  1.041  IEEE2        CURS:WAVE:HPOS2?[I]
  1.042  MATH         FirVal = MEM
  1.043  IEEE2        CURS:WAVE:POS1 30E-12
  1.044  WAIT         [D1000]
  1.045  IEEE2        CURS:WAVE:HPOS2?[I]
  1.046  MATH         SecVal = MEM

  1.047  IF           FirVal > SecVal
  1.048  MATH         Increment = 30E-12
  1.049  ELSE
  1.050  MATH         Increment = -30E-12
  1.051  ENDIF

  1.052  IEEE2        CURS:WAVE:POS1 0
  1.053  MATH         L[2] = 0
  1.054  IEEE2        CURS:WAVE:HPOS2?[I]
  1.055  MATH         MEM = MEM / 1E-3
  1.056  MATH         LastVal = MEM

  1.057  DO
  1.058  MATH         L[2] = L[2] + Increment
  1.059  IEEE2        CURS:WAVE:POS1 [L2]
  1.060  WAIT         [D1000]
  1.061  IEEE2        CURS:WAVE:HPOS2?[I]
  1.062  MATH         MEM = MEM / 1E-3

  1.063  IF           LastVal > MEM
  1.064  MATH         LastVal = MEM
  1.065  MATH         Loop = 1

  1.066  ELSE
  1.067  MATH         Loop = 0
  1.068  MATH         L[2] = L[2] - Increment
  1.069  IEEE2        CURS:WAVE:POS1 [L2]
  1.070  ENDIF

  1.071  UNTIL        NOT(Loop)

  1.072  IEEE2        CURS:WAVE:POS1?[I]
  1.073  MATH         MEM = MEM / 1E-12
  1.074  MATH         MEM = ABS(MEM)
  1.075  EVAL   -e (MEM <= 200) && @Triggered : Trigger 1 UI before 0

# The DUT can't trigger for spcified Serial pattern data.
  2.001  ELSE
  2.002  EVAL   -e @Triggered : Trigger 1 UI before 0
  3.001  ENDIF

  3.002  9500         *                                                 S

  3.003  HEAD         -2 Trigger on 0
  3.004  TARGET
  3.005  IEEE2        ACQ:STATE RUN
  3.006  MATH         MEM = Vsour
  3.007  9500         mVpp                         416MH          LS    S  L
  3.008  WAIT         -t 3 DUT Settling...
  3.009  IEEE2        TRIG:A:SERIAL:DAT:PAT:NRZ "6DB6 DB6D B6DB 6DB6"
  3.010  WAIT         -t 10 DUT Settling...
  3.011  IEEE2        CURS:WAVE:POSITION1 0;POSITION2 800E-12
  3.012  IEEE2        CURS:MOD TRACK
  3.013  CALL         Sub Tek DPO7000 Is Triggered IEEE

  3.014  IF           @Triggered
  3.015  IEEE2        ACQ:STATE OFF
# Center the Cursor 1 in the low of the waveform nearest the center graticule
# line. Cursor1's vertial position is initially located at negative part of
# waveform.
  3.016  WAIT         [D1000]
  3.017  IEEE2        CURS:WAVE:HPOS1?[I]
  3.018  MATH         FirVal = MEM
  3.019  IEEE2        CURS:WAVE:POS1 30E-12
  3.020  WAIT         [D1000]
  3.021  IEEE2        CURS:WAVE:HPOS1?[I]
  3.022  MATH         SecVal = MEM

  3.023  IF           FirVal > SecVal
  3.024  MATH         Increment = 30E-12
  3.025  ELSE
  3.026  MATH         Increment = -30E-12
  3.027  ENDIF

  3.028  IEEE2        CURS:WAVE:POS1 0
  3.029  MATH         L[2] = 0
  3.030  IEEE2        CURS:WAVE:HPOS1?[I]
  3.031  MATH         MEM = MEM / 1E-3
  3.032  MATH         LastVal = MEM

  3.033  DO
  3.034  MATH         L[2] = L[2] + Increment
  3.035  IEEE2        CURS:WAVE:POS1 [L2]
  3.036  WAIT         [D1000]
  3.037  IEEE2        CURS:WAVE:HPOS1?[I]
  3.038  MATH         MEM = MEM / 1E-3

  3.039  IF           LastVal > MEM
  3.040  MATH         LastVal = MEM
  3.041  MATH         Loop = 1

  3.042  ELSE
  3.043  MATH         Loop = 0
  3.044  MATH         L[2] = L[2] - Increment
  3.045  IEEE2        CURS:WAVE:POS1 [L2]
  3.046  ENDIF

  3.047  UNTIL        NOT(Loop)

  3.048  IEEE2        CURS:WAVE:POS1?[I]
  3.049  MATH         MEM = MEM / 1E-12
  3.050  MATH         MEM = ABS(MEM)
  3.051  EVAL   -e (MEM <= 200) && @Triggered : Trigger on 0

  4.001  ELSE
  4.002  EVAL   -e @Triggered : Trigger on 0
  5.001  ENDIF

  5.002  9500         *                                                 S

  5.003  HEAD         -2 Trigger 1 UI after 0
  5.004  TARGET
  5.005  IEEE2        ACQ:STATE RUN
  5.006  MATH         MEM = Vsour
  5.007  9500         mVpp                         416MH          LS    S  L
  5.008  WAIT         -t 3 DUT Settling...
  5.009  IEEE2        TRIG:A:SERIAL:DAT:PAT:NRZ "DB6D B6DB 6DB6 DB6D"
  5.010  WAIT         -t 10 DUT Settling...
  5.011  IEEE2        CURS:WAVE:POSITION1 0;POSITION2 800E-12
  5.012  IEEE2        CURS:MOD TRACK
  5.013  CALL         Sub Tek DPO7000 Is Triggered IEEE

  5.014  IF           @Triggered
  5.015  IEEE2        ACQ:STATE OFF
# Center Cursor 1 in the low of the waveform just to the left of the center
# graticule line.
  5.016  WAIT         [D1000]
  5.017  IEEE2        CURS:WAVE:HPOS1?[I]
  5.018  MATH         FirVal = MEM
  5.019  IEEE2        CURS:WAVE:POS1 30E-12
  5.020  WAIT         [D1000]
  5.021  IEEE2        CURS:WAVE:HPOS1?[I]
  5.022  MATH         SecVal = MEM

  5.023  IF           FirVal > SecVal
  5.024  MATH         Increment = 30E-12
  5.025  ELSE
  5.026  MATH         Increment = -30E-12
  5.027  ENDIF

  5.028  IEEE2        CURS:WAVE:POS1 0
  5.029  MATH         L[2] = 0
  5.030  IEEE2        CURS:WAVE:HPOS1?[I]
  5.031  MATH         MEM = MEM / 1E-3
  5.032  MATH         LastVal = MEM

  5.033  DO
  5.034  MATH         L[2] = L[2] + Increment
  5.035  IEEE2        CURS:WAVE:POS1 [L2]
  5.036  WAIT         [D1000]
  5.037  IEEE2        CURS:WAVE:HPOS1?[I]
  5.038  MATH         MEM = MEM / 1E-3

  5.039  IF           LastVal > MEM
  5.040  MATH         LastVal = MEM
  5.041  MATH         Loop = 1

  5.042  ELSE
  5.043  MATH         Loop = 0
  5.044  MATH         L[2] = L[2] - Increment
  5.045  IEEE2        CURS:WAVE:POS1 [L2]
  5.046  ENDIF

  5.047  UNTIL        NOT(Loop)

  5.048  IEEE2        CURS:WAVE:POS2?[I]
  5.049  MATH         MEM = MEM / 1E-12
  5.050  MATH         MEM = ABS(MEM)
  5.051  EVAL   -e (MEM <= 200) && @Triggered : Trigger 1 UI after 0

  6.001  ELSE
  6.002  EVAL   -e @Triggered : Trigger 1 UI after 0

  7.001  ENDIF

  7.002  9500         *                                                 S

  7.003  RSLT         =
  7.004  HEAD         { Signal path 1, Pattern Matching 1}
  7.005  HEAD         -2 Trigger 1 UI before 1
  7.006  TARGET
  7.007  IEEE2        ACQ:STATE RUN
  7.008  MATH         MEM = Vsour
  7.009  9500         mVpp                         416MH          LS    S  L
  7.010  WAIT         -t 3 DUT Settling...
  7.011  IEEE2        TRIG:A SETL
  7.012  IEEE2        MEASU:MEAS1:SOU1 CH[V @Chan];TYP PK2P;STATE ON
  7.013  IEEE2        MEASU:STATI:COUNT RESET
  7.014  IEEE2        MEASU:STATI:MODE ALL
  7.015  IEEE2        [D500]MEASU:MEAS1:MEAN?[I]
# trigger level at 75% (1 division) on sine wave.
  7.016  MATH         MEM = MEM  / 4
# Set the cursor.
  7.017  IEEE2        TRIG:A:LEV [MEM]
# Set the serial trigger word recognizer data.
  7.018  IEEE2        TRIG:A:SERIAL:DAT:PAT:NRZ "4924 9249 2492 4924"
  7.019  WAIT         -t 10 DUT Settling...
# Move Cursors to Center
  7.020  IEEE2        CURS:WAVE:POSITION1 0
  7.021  IEEE2        CURS:WAVE:POSITION2 800E-12
  7.022  IEEE2        CURS:MOD TRACK
  7.023  CALL         Sub Tek DPO7000 Is Triggered IEEE

  7.024  IF           @Triggered
  7.025  IEEE2        ACQ:STATE OFF
# Center Cursor 2 in the high of the waveform just to the right of the center
# graticule line.
  7.026  WAIT         [D1000]
  7.027  IEEE2        CURS:WAVE:HPOS2?[I]
  7.028  MATH         FirVal = MEM
  7.029  IEEE2        CURS:WAVE:POS1 30E-12
  7.030  WAIT         [D1000]
  7.031  IEEE2        CURS:WAVE:HPOS2?[I]
  7.032  MATH         SecVal = MEM

  7.033  IF           FirVal > SecVal
  7.034  MATH         Increment = -30E-12
  7.035  ELSE
  7.036  MATH         Increment = 30E-12
  7.037  ENDIF

  7.038  IEEE2        CURS:WAVE:POS1 0
  7.039  MATH         L[2] = 0
  7.040  IEEE2        CURS:WAVE:HPOS2?[I]
  7.041  MATH         MEM = MEM / 1E-3
  7.042  MATH         LastVal = MEM

  7.043  DO
  7.044  MATH         L[2] = L[2] + Increment
  7.045  IEEE2        CURS:WAVE:POS1 [L2]
  7.046  WAIT         [D1000]
  7.047  IEEE2        CURS:WAVE:HPOS2?[I]
  7.048  MATH         MEM = MEM / 1E-3

  7.049  IF           LastVal < MEM
  7.050  MATH         LastVal = MEM
  7.051  MATH         Loop = 1

  7.052  ELSE
  7.053  MATH         Loop = 0
  7.054  MATH         L[2] = L[2] - Increment
  7.055  IEEE2        CURS:WAVE:POS1 [L2]
  7.056  ENDIF

  7.057  UNTIL        NOT(Loop)

  7.058  IEEE2        CURS:WAVE:POS1?[I]
  7.059  MATH         MEM = MEM / 1E-12
  7.060  MATH         MEM = ABS(MEM)
  7.061  EVAL   -e (MEM <= 200) && @Triggered : Trigger 1 UI before 1

  8.001  ELSE
  8.002  EVAL   -e @Triggered : Trigger 1 UI before 1
  9.001  ENDIF

  9.002  9500         *                                                 S

  9.003  HEAD         -2 Trigger on 1
  9.004  TARGET
  9.005  IEEE2        ACQ:STATE RUN
  9.006  MATH         MEM = Vsour
  9.007  9500         mVpp                         416MH          LS    S  L
  9.008  WAIT         -t 3 DUT Settling...
  9.009  IEEE2        TRIG:A:SERIAL:DAT:PAT:NRZ "9249 2492 4924 9249"
  9.010  WAIT         -t 10 DUT Settling...
  9.011  IEEE2        CURS:WAVE:POSITION1 0
  9.012  IEEE2        CURS:WAVE:POSITION2 800E-12
  9.013  IEEE2        CURS:MOD TRACK
  9.014  CALL         Sub Tek DPO7000 Is Triggered IEEE

  9.015  IF           @Triggered
  9.016  IEEE2        ACQ:STATE OFF
# Center the Cursor 1 in the waveform high nearest the center graticule line.
  9.017  WAIT         [D1000]
  9.018  IEEE2        CURS:WAVE:HPOS1?[I]
  9.019  MATH         FirVal = MEM
  9.020  IEEE2        CURS:WAVE:POS1 30E-12
  9.021  WAIT         [D1000]
  9.022  IEEE2        CURS:WAVE:HPOS1?[I]
  9.023  MATH         SecVal = MEM

  9.024  IF           FirVal > SecVal
  9.025  MATH         Increment = -30E-12
  9.026  ELSE
  9.027  MATH         Increment = 30E-12
  9.028  ENDIF

  9.029  IEEE2        CURS:WAVE:POS1 0
  9.030  MATH         L[2] = 0
  9.031  IEEE2        CURS:WAVE:HPOS1?[I]
  9.032  MATH         MEM = MEM / 1E-3
  9.033  MATH         LastVal = MEM

  9.034  DO
  9.035  MATH         L[2] = L[2] + Increment
  9.036  IEEE2        CURS:WAVE:POS1 [L2]
  9.037  WAIT         [D1000]
  9.038  IEEE2        CURS:WAVE:HPOS1?[I]
  9.039  MATH         MEM = MEM / 1E-3

  9.040  IF           LastVal < MEM
  9.041  MATH         LastVal = MEM
  9.042  MATH         Loop = 1

  9.043  ELSE
  9.044  MATH         Loop = 0
  9.045  MATH         L[2] = L[2] - Increment
  9.046  IEEE2        CURS:WAVE:POS1 [L2]
  9.047  ENDIF

  9.048  UNTIL        NOT(Loop)

  9.049  IEEE2        CURS:WAVE:POS1?[I]
  9.050  MATH         MEM = MEM / 1E-12
  9.051  MATH         MEM = ABS(MEM)
  9.052  EVAL   -e (MEM <= 200) && @Triggered : Trigger on 1

 10.001  ELSE
 10.002  EVAL   -e @Triggered : Trigger on 1
 11.001  ENDIF

 11.002  9500         *                                                 S

 11.003  HEAD         -2 Trigger 1 UI after 1
 11.004  TARGET
 11.005  IEEE2        ACQ:STATE RUN
 11.006  MATH         MEM = Vsour
 11.007  9500         mVpp                         416MH          LS    S  L
 11.008  WAIT         -t 3 DUT Settling...
 11.009  IEEE2        TRIG:A:SERIAL:DAT:PAT:NRZ "2492 4924 9249 2492"
 11.010  WAIT         -t 10 DUT Settling...
 11.011  IEEE2        CURS:WAVE:POSITION1 0
 11.012  IEEE2        CURS:WAVE:POSITION2 800E-12
 11.013  IEEE2        CURS:MOD TRACK
 11.014  CALL         Sub Tek DPO7000 Is Triggered IEEE

 11.015  IF           @Triggered
 11.016  IEEE2        ACQ:STATE OFF
# Center Cursor 1 in the high of the waveform just to the left of the center
# graticule line.
 11.017  WAIT         [D1000]
 11.018  IEEE2        CURS:WAVE:HPOS1?[I]
 11.019  MATH         FirVal = MEM
 11.020  IEEE2        CURS:WAVE:POS1 30E-12
 11.021  WAIT         [D1000]
 11.022  IEEE2        CURS:WAVE:HPOS1?[I]
 11.023  MATH         SecVal = MEM

 11.024  IF           FirVal > SecVal
 11.025  MATH         Increment = -30E-12
 11.026  ELSE
 11.027  MATH         Increment = 30E-12
 11.028  ENDIF

 11.029  IEEE2        CURS:WAVE:POS1 0
 11.030  MATH         L[2] = 0
 11.031  IEEE2        CURS:WAVE:HPOS1?[I]
 11.032  MATH         MEM = MEM / 1E-3
 11.033  MATH         LastVal = MEM

 11.034  DO
 11.035  MATH         L[2] = L[2] + Increment
 11.036  IEEE2        CURS:WAVE:POS1 [L2]
 11.037  WAIT         [D1000]
 11.038  IEEE2        CURS:WAVE:HPOS1?[I]
 11.039  MATH         MEM = MEM / 1E-3

 11.040  IF           LastVal < MEM
 11.041  MATH         LastVal = MEM
 11.042  MATH         Loop = 1

 11.043  ELSE
 11.044  MATH         Loop = 0
 11.045  MATH         L[2] = L[2] - Increment
 11.046  IEEE2        CURS:WAVE:POS1 [L2]
 11.047  ENDIF

 11.048  UNTIL        NOT(Loop)

 11.049  IEEE2        CURS:WAVE:POS2?[I]
 11.050  MATH         MEM = MEM / 1E-12
 11.051  MATH         MEM = ABS(MEM)
 11.052  EVAL   -e (MEM <= 200) && @Triggered : Trigger 1 UI after 1
 12.001  IEEE2        ACQ:STATE RUN

 12.002  ELSE
 12.003  EVAL   -e @Triggered : Trigger 1 UI after 1

 13.001  ENDIF

 13.002  9500         *                                                 S
 13.003  HEAD         -2
 13.004  HEAD
 13.005  END












