﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7000 (1 yr) Serial Trig VER IEEE /9500/3200
DATE:                  2017-07-13 08:29:36
AUTHOR:                Fluke
REVISION:              $Revision: 20345 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       17
NUMBER OF LINES:       230
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Datron 9530 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Models Covered:
#        DPO7254, DPO7354
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek DPO7000 Select Channel IEEE

  1.002  RSLT         =
  1.003  HEAD         {CLOCK RECOVERY FREQUENCY RANGE}
  1.004  TARGET
  1.005  IEEE2        CH[V @Chan]:SCA 50E-3;TER 50
  1.006  IEEE2        HOR:SCA 200E-12
  1.007  IEEE2        DIS:STY DOT;PERS VAR;VAR 3
# 9500 output 8 division of amplitude.
  1.008  9500         400mVpp                      1.5625GH       LS    S  L
  1.009  WAIT         -t 3 DUT Settling...
  1.010  IEEE2        TRIG:A:TYPE COMM
  1.011  IEEE2        TRIG:A:COMM:SOU CH1;SOU:TYP RECOV
  1.012  IEEE2        TRIG:A:COMM:COD NRZ

  1.013  HEAD         -2 625 MHz
  1.014  9500         400mVpp                      625MH          LS    S  L
  1.015  IEEE2        TRIG:A:COMM:BITR 1.25E9
  1.016  IEEE2        TRIG:A SETL
  1.017  WAIT         -t 3 DUT Settling...
# Ajust the horizontal scale to maintain about 3 to 5 eyes.
  1.018  OPBR         -z The DUT will attempt to acquire lock once. If the
  1.018  OPBR         input data is disrupted, removed, or heavily distorted,
  1.018  OPBR         the DUT may not acquire lock or may loose lock. If the
  1.018  OPBR         recovered clock is not locked to the incoming data, the
  1.018  OPBR         waveform display will not be stable.
  1.018  OPBR
  1.018  OPBR         Does the DUT display stabilize?
  1.019  EVAL   -e MEM1 : 625 MHz @ 1.25 Gbaud

  2.001  HEAD         -2 321.5 MHz
  2.002  TARGET
  2.003  9500         400mVpp                      321.5MH        LS    S  L
  2.004  IEEE2        TRIG:A:COMM:BITR 1.25E9
  2.005  IEEE2        TRIG:A SETL
  2.006  WAIT         -t 3 DUT Settling...
  2.007  IEEE2        HOR:SCA 250E-12
  2.008  OPBR         -z Does the DUT display stabilize?
  2.009  EVAL   -e MEM1 : 312.5 MHz @ 1.25 Gbaud

  3.001  HEAD         -2 296.87 MHz
  3.002  TARGET
  3.003  9500         400mVpp                      296.87MH       LS    S  L
  3.004  IEEE2        TRIG:A:COMM:BITR 1.187E9
  3.005  IEEE2        TRIG:A SETL
  3.006  WAIT         -t 3 DUT Settling...
  3.007  IEEE2        HOR:SCA 250E-12
  3.008  OPBR         -z Does the DUT display stabilize?
  3.009  EVAL   -e MEM1 : 296.87 MHz @ 1.187 Gbaud

  4.001  HEAD         -2 168.75 MHz
  4.002  TARGET
  4.003  9500         400mVpp                      168.75MH       LS    S  L
  4.004  IEEE2        TRIG:A:COMM:BITR 675E6
  4.005  IEEE2        TRIG:A SETL
  4.006  WAIT         -t 3 DUT Settling...
  4.007  IEEE2        HOR:SCA 500E-12
  4.008  OPBR         -z Does the DUT display stabilize?
  4.009  EVAL   -e MEM1 : 168.75 MHz @ 675 Mbaud

  5.001  HEAD         -2 300 MHz
  5.002  TARGET
  5.003  9500         400mVpp                      300MH          LS    S  L
  5.004  IEEE2        TRIG:A:COMM:BITR 1.2E9
  5.005  IEEE2        TRIG:A SETL
  5.006  WAIT         -t 3 DUT Settling...
  5.007  IEEE2        HOR:SCA 250E-12
  5.008  OPBR         -z Does the DUT display stabilize?
  5.009  EVAL   -e MEM1 : 300 MHz @ 1200 Mbaud

  6.001  HEAD         -2 156.25 MHz
  6.002  TARGET
  6.003  9500         400mVpp                      156.25MH       LS    S  L
  6.004  IEEE2        TRIG:A:COMM:BITR 625E6
  6.005  IEEE2        TRIG:A SETL
  6.006  WAIT         -t 3 DUT Settling...
  6.007  IEEE2        HOR:SCA 500E-12
  6.008  OPBR         -z Does the DUT display stabilize?
  6.009  EVAL   -e MEM1 : 156.25 MHz @ 625 Mbaud

  7.001  HEAD         -2 78.12 MHz
  7.002  TARGET
  7.003  9500         400mVpp                      78.12MH        LS    S  L
  7.004  IEEE2        TRIG:A:COMM:BITR 312.5E6
  7.005  IEEE2        TRIG:A SETL
  7.006  WAIT         -t 3 DUT Settling...
  7.007  IEEE2        HOR:SCA 1.25E-9
  7.008  OPBR         -z Does the DUT display stabilize?
  7.009  EVAL   -e MEM1 : 78.12 MHz @ 312.5 Mbaud

  8.001  HEAD         -2 74.21 MHz
  8.002  TARGET
  8.003  9500         400mVpp                      74.21MH        LS    S  L
  8.004  IEEE2        TRIG:A:COMM:BITR 296.48E6
  8.005  IEEE2        TRIG:A SETL
  8.006  WAIT         -t 3 DUT Settling...
  8.007  IEEE2        HOR:SCA 1.25E-9
  8.008  OPBR         -z Does the DUT display stabilize?
  8.009  EVAL   -e MEM1 : 74.21 MHz @ 296.48 Mbaud

  9.001  HEAD         -2 31.25 MHz
  9.002  TARGET
  9.003  9500         400mVpp                      31.25MH        LS    S  L
  9.004  IEEE2        TRIG:A:COMM:BITR 125E6
  9.005  IEEE2        TRIG:A SETL
  9.006  WAIT         -t 3 DUT Settling...
  9.007  IEEE2        HOR:SCA 2.5E-9
  9.008  OPBR         -z Does the DUT display stabilize?
  9.009  EVAL   -e MEM1 : 31.25 MHz @ 125 Mbaud

 10.001  HEAD         -2 15.62 MHz
 10.002  TARGET
 10.003  9500         400mVpp                      15.62MH        LS    S  L
 10.004  IEEE2        TRIG:A:COMM:BITR 62.5E6
 10.005  IEEE2        TRIG:A SETL
 10.006  WAIT         -t 3 DUT Settling...
 10.007  IEEE2        HOR:SCA 5E-9
 10.008  OPBR         -z Does the DUT display stabilize?
 10.009  EVAL   -e MEM1 : 15.62 MHz @ 62.5 Mbaud

 11.001  HEAD         -2 7.81 MHz
 11.002  TARGET
 11.003  9500         400mVpp                      7.81MH         LS    S  L
 11.004  IEEE2        TRIG:A:COMM:BITR 31.25E6
 11.005  IEEE2        TRIG:A SETL
 11.006  WAIT         -t 3 DUT Settling...
 11.007  IEEE2        HOR:SCA 10E-9
 11.008  OPBR         -z Does the DUT display stabilize?
 11.009  EVAL   -e MEM1 : 7.81 MHz @ 31.25 Mbaud

 12.001  HEAD         -2 3.9 MHz
 12.002  TARGET
 12.003  9500         400mVpp                      3.9MH          LS    S  L
 12.004  IEEE2        TRIG:A:COMM:BITR 15.65E6
 12.005  IEEE2        TRIG:A SETL
 12.006  WAIT         -t 3 DUT Settling...
 12.007  IEEE2        HOR:SCA 25E-9
 12.008  OPBR         -z Does the DUT display stabilize?
 12.009  EVAL   -e MEM1 : 3.9 MHz @ 15.65 Mbaud

 13.001  HEAD         -2 1.95 MHz
 13.002  TARGET
 13.003  9500         400mVpp                      1.95MH         LS    S  L
 13.004  IEEE2        TRIG:A:COMM:BITR 7.81E6
 13.005  IEEE2        TRIG:A SETL
 13.006  WAIT         -t 3 DUT Settling...
 13.007  IEEE2        HOR:SCA 50E-9
 13.008  OPBR         -z Does the DUT display stabilize?
 13.009  EVAL   -e MEM1 : 1.95 MHz @ 7.81 Mbaud

 14.001  HEAD         -2 976.56 KHz
 14.002  TARGET
 14.003  9500         400mVpp                      976.56kH       LS    S  L
 14.004  IEEE2        TRIG:A:COMM:BITR 3.9E6
 14.005  IEEE2        TRIG:A SETL
 14.006  WAIT         -t 3 DUT Settling...
 14.007  IEEE2        HOR:SCA 125E-9
 14.008  OPBR         -z Does the DUT display stabilize?
 14.009  EVAL   -e MEM1 : 976.56 KHz @ 3.9 Mbaud

 15.001  HEAD         -2 488.28 KHz
 15.002  TARGET
 15.003  9500         400mVpp                      488.28kH       LS    S  L
 15.004  IEEE2        TRIG:A:COMM:BITR 1.95E6
 15.005  IEEE2        TRIG:A SETL
 15.006  WAIT         -t 3 DUT Settling...
 15.007  IEEE2        HOR:SCA 250E-9
 15.008  OPBR         -z Does the DUT display stabilize?
 15.009  EVAL   -e MEM1 : 488.28 KHz @ 1.95 Mbaud

 16.001  HEAD         -2 380.98 KHz
 16.002  TARGET
 16.003  9500         400mVpp                      380.98kH       LS    S  L
 16.004  IEEE2        TRIG:A:COMM:BITR 1.52E6
 16.005  IEEE2        TRIG:A SETL
 16.006  WAIT         -t 3 DUT Settling...
 16.007  IEEE2        HOR:SCA 500E-9
 16.008  OPBR         -z Does the DUT display stabilize?
 16.009  EVAL   -e MEM1 : 380.98 KHz @ 1.52 Mbaud

 17.001  HEAD         -2
 17.002  HEAD
 17.003  9500         *                                                 S
 17.004  END





