﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7354 (1 yr) Bandwidth VER IEEE /9500/3200
INSTRUMENT:            Sub Tek DPO7354 (1 yr) Trig Full BW VER IEEE /9500/3200
DATE:                  2017-07-25 12:08:52
AUTHOR:                Fluke
REVISION:              $Revision: 20438 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       15
NUMBER OF LINES:       393
CONFIGURATION:         Datron 9500 (G3)
CONFIGURATION:         Fluke 9560 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL?calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE2        *RST;HEADER OFF
  1.002  CALL         Sub Tek DPO7000 Select Channel IEEE

  1.003  JMPL         BANDWIDTH                    PSUB("Bandwidth")
  1.004  JMPL         TRIGGER_FULL_BW              PSUB("Trig Full BW")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment test number

# =====  Sub Tek DPO7354 (1 yr) Bandwidth VER IEEE /9500/3200  ==============

  2.001  LABEL        BANDWIDTH
  2.002  HEAD         ANALOG BANDWIDTH 50 Ω (Ch [V @Chan])

  2.003  IF           @Chan == 1
  2.004  RSLT         =
  2.005  RSLT         =ANALOG BANDWIDTH
  2.006  ENDIF

  2.007  RSLT         =
  2.008  RSLT         =Channel [V @Chan]

  2.009  MATH         CalDev  = "Datron 9500"
  2.010  MATH         CalConf = CONF(CalDev)
  2.011  MATH         CalMode = "Vpp LS G6 L"

  2.012  HEAD         -2 1 mV/div
  2.013  TARGET       -p
  2.014  TSET         TDESC = 1 mV/div
  2.015  IEEE2        CH[V @Chan]:SCA 1E-3;TER 50;BAN FUL
  2.016  IEEE2        HOR:SCA 200E-9;MODE:RECORDLENGTH 100000;SAMPLER 200E+9
  2.017  IEEE2        TRIG:A:MOD AUTO;TYPE EDGE;EDGE:SOU CH[V @Chan];COUP DC
  2.018  IEEE2        MEASU:IMM:SOU CH[V @Chan];TYPE PK2PK
  2.019  IEEE2        ACQ:MODE AVE;NUMAV 16;SAMP ET
  2.020  IEEE         ACQ:STOPA SEQ
# Obtain reference amplitude at 10 MHz in lieu of 50 MHz.
# 9500 leveled sine absolute specification is 50 kHz to 10 MHz.
# 9500 minimum amplitude is 4.44 mVpp.  Use 4.5 mVpp in lieu of 4 mVpp.
  2.021  9500         4.5mVpp                      10MH           LS    S  L
  2.022  MATH         L[1] = REFACC()
  2.023  WAIT         [D1000]
  2.024  IEEE2        TRIG:A SETL
  2.025  IEEE2        ACQ:STATE RUN
  2.026  IEEE         MEASU:IMM:VALUE?[I]
  2.027  IEEE2        HOR:SCA 1E-9
  2.028  9500         4.5mVpp                      200MH          LS    S  L
# Get flatness at 200 MHz.
  2.029  MATH         L[2] = ACCV2(CalDev, CalMode, (MEM1 * 1E-3), 200E+6)
  2.030  WAIT         [D1000]
  2.031  IEEE2        TRIG:A SETL
# From Tektronix manual:
#   "The -3 dB limit can be calculated as: 0.707 x reference amplitude.
  2.032  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 0.1)
# RSS 9500 absolute accuracy at 10 MHz with flatness at 200 MHz.
# Convert to mVpp, normalize, and expand to 2 σ.
  2.033  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  2.034  ACC          mVpp           L3U
  2.035  TARGET       -m
  2.036  IEEE2        ACQ:STATE RUN
  2.037  IEEE         MEASU:IMM:VALUE?[I]
  2.038  MATH         MEM = CRND((MEM / 1E-3), 0.1)
  2.039  MEMCX  1     mVpp           +1000.0U

  3.001  HEAD         -2 2 mV/div
  3.002  TARGET       -p
  3.003  TSET         TDESC = 2 mV/div
  3.004  IEEE2        CH[V @Chan]:SCA 2E-3
  3.005  IEEE2        HOR:SCA 200E-9
  3.006  9500         8mVpp                        10MH           LS    S  L
  3.007  MATH         L[1] = REFACC()
  3.008  WAIT         [D1000]
  3.009  IEEE2        TRIG:A SETL
  3.010  IEEE2        ACQ:STATE RUN
  3.011  IEEE         MEASU:IMM:VALUE?[I]
  3.012  IEEE2        HOR:SCA 1E-9
  3.013  9500         8mVpp                        500MH          LS    S  L
  3.014  MATH         L[2] = ACCV2(CalDev, CalMode, (MEM1 * 1E-3), 500E+6)
  3.015  WAIT         [D1000]
  3.016  IEEE2        TRIG:A SETL
  3.017  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 0.1)
  3.018  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  3.019  ACC          mVpp           L3U
  3.020  TARGET       -m
  3.021  IEEE2        ACQ:STATE RUN
  3.022  IEEE         MEASU:IMM:VALUE?[I]
  3.023  MATH         MEM = CRND((MEM / 1E-3), 0.1)
  3.024  MEMCX  2     mVpp           +1000.0U

  4.001  HEAD         -2 5 mV/div
  4.002  TARGET       -p
  4.003  TSET         TDESC = 5 mV/div
  4.004  IEEE2        CH[V @Chan]:SCA 5E-3
  4.005  IEEE2        HOR:SCA 200E-9
  4.006  9500         20mVpp                       10MH           LS    S  L
  4.007  MATH         L[1] = REFACC()
  4.008  WAIT         [D1000]
  4.009  IEEE2        TRIG:A SETL
  4.010  IEEE2        ACQ:STATE RUN
  4.011  IEEE         MEASU:IMM:VALUE?[I]
  4.012  IEEE2        HOR:SCA 1E-9
  4.013  9500         20mVpp                       2GH            LS    S  L
  4.014  MATH         L[2] = ACCV2(CalDev, CalMode, (MEM1 * 1E-3), 2E+9)
  4.015  WAIT         [D1000]
  4.016  IEEE2        TRIG:A SETL
  4.017  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 0.1)
  4.018  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  4.019  ACC          mVpp           L3U
  4.020  TARGET       -m
  4.021  IEEE2        ACQ:STATE RUN
  4.022  IEEE         MEASU:IMM:VALUE?[I]
  4.023  MATH         MEM = CRND((MEM / 1E-3), 0.1)
  4.024  MEMCX  5     mVpp           +1000.0U

  5.001  HEAD         -2 10 mV/div
  5.002  TARGET       -p
  5.003  TSET         TDESC = 10 mV/div
  5.004  IEEE2        CH[V @Chan]:SCA 10E-3
  5.005  IEEE2        HOR:SCA 200E-9
  5.006  9500         40mVpp                       10MH           LS    S  L
  5.007  MATH         L[1] = REFACC()
  5.008  WAIT         [D1000]
  5.009  IEEE2        TRIG:A SETL
  5.010  IEEE2        ACQ:STATE RUN
  5.011  IEEE         MEASU:IMM:VALUE?[I]
  5.012  IEEE2        HOR:SCA 1E-9
  5.013  9500         40mVpp                       3.5GH          LS    S  L
  5.014  MATH         L[2] = ACCV2(CalDev, CalMode, (MEM1 * 1E-3), 3.5E+9)
  5.015  WAIT         [D1000]
  5.016  IEEE2        TRIG:A SETL
  5.017  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 0.1)
  5.018  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  5.019  ACC          mVpp           L3U
  5.020  TARGET       -m
  5.021  IEEE2        ACQ:STATE RUN
  5.022  IEEE         MEASU:IMM:VALUE?[I]
  5.023  MATH         MEM = CRND((MEM / 1E-3), 0.1)
  5.024  MEMCX  10    mVpp           +1000.0U

  6.001  HEAD         -2 20 mV/div
  6.002  TARGET       -p
  6.003  TSET         TDESC = 20 mV/div
  6.004  IEEE2        CH[V @Chan]:SCA 20E-3
  6.005  IEEE2        HOR:SCA 200E-9
  6.006  9500         80mVpp                       10MH           LS    S  L
  6.007  MATH         L[1] = REFACC()
  6.008  WAIT         [D1000]
  6.009  IEEE2        TRIG:A SETL
  6.010  IEEE2        ACQ:STATE RUN
  6.011  IEEE         MEASU:IMM:VALUE?[I]
  6.012  IEEE2        HOR:SCA 1E-9
  6.013  9500         80mVpp                       3.5GH          LS    S  L
  6.014  MATH         L[2] = ACCV2(CalDev, CalMode, (MEM1 * 1E-3), 3.5E+9)
  6.015  WAIT         [D1000]
  6.016  IEEE2        TRIG:A SETL
  6.017  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 0.1)
  6.018  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  6.019  ACC          mVpp           L3U
  6.020  TARGET       -m
  6.021  IEEE2        ACQ:STATE RUN
  6.022  IEEE         MEASU:IMM:VALUE?[I]
  6.023  MATH         MEM = CRND((MEM / 1E-3), 0.1)
  6.024  MEMCX  20    mVpp           +1000.0U

  7.001  HEAD         -2 50 mV/div
  7.002  TARGET       -p
  7.003  TSET         TDESC = 50 mV/div
  7.004  IEEE2        CH[V @Chan]:SCA 50E-3
  7.005  IEEE2        HOR:SCA 200E-9
  7.006  9500         200mVpp                      10MH           LS    S  L
  7.007  MATH         L[1] = REFACC()
  7.008  WAIT         [D1000]
  7.009  IEEE2        TRIG:A SETL
  7.010  IEEE2        ACQ:STATE RUN
  7.011  IEEE         MEASU:IMM:VALUE?[I]
  7.012  IEEE2        HOR:SCA 1E-9
  7.013  9500         200mVpp                      3.5GH          LS    S  L
  7.014  MATH         L[2] = ACCV2(CalDev, CalMode, (MEM1 * 1E-3), 3.5E+9)
  7.015  WAIT         [D1000]
  7.016  IEEE2        TRIG:A SETL
  7.017  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 1)
  7.018  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  7.019  ACC          mVpp           L3U
  7.020  TARGET       -m
  7.021  IEEE2        ACQ:STATE RUN
  7.022  IEEE         MEASU:IMM:VALUE?[I]
  7.023  MATH         MEM = CRND((MEM / 1E-3), 1)
  7.024  MEMCX  50    mVpp           +1000U

  8.001  HEAD         -2 100 mV/div
  8.002  TARGET       -p
  8.003  TSET         TDESC = 100 mV/div
  8.004  IEEE2        CH[V @Chan]:SCA 100E-3
  8.005  IEEE2        HOR:SCA 200E-9
  8.006  9500         400mVpp                      10MH           LS    S  L
  8.007  MATH         L[1] = REFACC()
  8.008  WAIT         [D1000]
  8.009  IEEE2        TRIG:A SETL
  8.010  IEEE2        ACQ:STATE RUN
  8.011  IEEE         MEASU:IMM:VALUE?[I]
  8.012  IEEE2        HOR:SCA 1E-9
  8.013  9500         400mVpp                      3.5GH          LS    S  L
  8.014  MATH         L[2] = ACCV2(CalDev, CalMode, (MEM1 * 1E-3), 3.5E+9)
  8.015  WAIT         [D1000]
  8.016  IEEE2        TRIG:A SETL
  8.017  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 1)
  8.018  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  8.019  ACC          mVpp           L3U
  8.020  TARGET       -m
  8.021  IEEE2        ACQ:STATE RUN
  8.022  IEEE         MEASU:IMM:VALUE?[I]
  8.023  MATH         MEM = CRND((MEM / 1E-3), 1)
  8.024  MEMCX  100   mVpp           +1000U

  9.001  HEAD         -2 100 mV/div
  9.002  TARGET       -p
  9.003  TSET         TDESC = 200 mV/div
  9.004  IEEE2        CH[V @Chan]:SCA 200E-3
  9.005  IEEE2        HOR:SCA 200E-9
  9.006  9500         800mVpp                      10MH           LS    S  L
  9.007  MATH         L[1] = REFACC()
  9.008  WAIT         [D1000]
  9.009  IEEE2        TRIG:A SETL
  9.010  IEEE2        ACQ:STATE RUN
  9.011  IEEE         MEASU:IMM:VALUE?[I]
  9.012  IEEE2        HOR:SCA 1E-9
  9.013  9500         800mVpp                      3.5GH          LS    S  L
  9.014  MATH         L[2] = ACCV2(CalDev, CalMode, (MEM1 * 1E-3), 3.5E+9)
  9.015  WAIT         [D1000]
  9.016  IEEE2        TRIG:A SETL
  9.017  MATH         MEM = CRND((MEM / 1E-3 * 0.707), 1)
  9.018  MATH         L[3] = RSS_L(1, 2) / 1E-3 / CalConf * 2
  9.019  ACC          mVpp           L3U
  9.020  TARGET       -m
  9.021  IEEE2        ACQ:STATE RUN
  9.022  IEEE         MEASU:IMM:VALUE?[I]
  9.023  MATH         MEM = CRND((MEM / 1E-3), 1)
  9.024  MEMCX  200   mVpp           +1000U

 10.001  HEAD         -2 500 mV/div
 10.002  TARGET       -p
 10.003  TSET         TDESC = 500 mV/div
 10.004  IEEE2        CH[V @Chan]:SCA 500E-3
 10.005  IEEE2        HOR:SCA 200E-9
 10.006  9500         2Vpp                         10MH           LS    S  L
 10.007  MATH         L[1] = REFACC()
 10.008  WAIT         [D1000]
 10.009  IEEE2        TRIG:A SETL
 10.010  IEEE2        ACQ:STATE RUN
 10.011  IEEE         MEASU:IMM:VALUE?[I]
 10.012  IEEE2        HOR:SCA 1E-9
 10.013  9500         2Vpp                         3.5GH          LS    S  L
 10.014  MATH         L[2] = ACCV2(CalDev, CalMode, MEM1, 3.5E+9)
 10.015  WAIT         [D1000]
 10.016  IEEE2        TRIG:A SETL
 10.017  MATH         MEM = CRND((MEM * 0.707), 0.01)
 10.018  MATH         L[3] = RSS_L(1, 2) / CalConf * 2
 10.019  ACC          Vpp            L3U
 10.020  TARGET       -m
 10.021  IEEE2        ACQ:STATE RUN
 10.022  IEEE         MEASU:IMM:VALUE?[I]
 10.023  MATH         MEM = CRND(MEM, 0.01)
 10.024  MEMCX  0.5   Vpp            +1000.00U

 11.001  HEAD         -2 1 V/div
 11.002  TARGET       -p
 11.003  TSET         TDESC = 1 V/div
 11.004  IEEE2        CH[V @Chan]:SCA 1
 11.005  IEEE2        HOR:SCA 200E-9
# 9500 maximum frequency at 1 GHz is 2.224 Vpp.  Use 2 Vpp in lieu of 4 Vpp.
 11.006  9500         2Vpp                         10MH           LS    S  L
 11.007  MATH         L[1] = REFACC()
 11.008  WAIT         [D1000]
 11.009  IEEE2        TRIG:A SETL
 11.010  IEEE2        ACQ:STATE RUN
 11.011  IEEE         MEASU:IMM:VALUE?[I]
 11.012  IEEE2        HOR:SCA 1E-9
 11.013  9500         2Vpp                         3.5GH          LS    S  L
 11.014  MATH         L[2] = ACCV2(CalDev, CalMode, MEM1, 3.5E+9)
 11.015  WAIT         [D1000]
 11.016  IEEE2        TRIG:A SETL
 11.017  MATH         MEM = CRND((MEM * 0.707), 0.01)
 11.018  MATH         L[3] = RSS_L(1, 2) / CalConf * 2
 11.019  ACC          Vpp            L3U
 11.020  TARGET       -m
 11.021  IEEE2        ACQ:STATE RUN
 11.022  IEEE         MEASU:IMM:VALUE?[I]
 11.023  MATH         MEM = CRND(MEM, 0.01)
 11.024  MEMCX  1     Vpp            +1000.00U

 12.001  HEAD         -2
 12.002  HEAD
 12.003  9500         *                                                 S
 12.004  END

 12.005  EVAL   Increment test number

# =====  Sub Tek DPO7354 (1 yr) Trig Full BW VER IEEE /9500/3200  ===========

 13.001  LABEL        TRIGGER_FULL_BW
 13.002  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Rising Slope
 13.003  MATH         @AuxTrig = 0
 13.004  RSLT         =
 13.005  HEAD         -2{Full BW}
 13.006  MATH         L[2] = @Chan
 13.007  TARGET
 13.008  IEEE2        CH[V @Chan]:TER 50;BAN FUL
 13.009  IEEE2        HOR:SCA 200E-12
 13.010  IEEE2        TRIG:A:MOD NORM;EDGE:SOU CH[L2];COUP DC;SLO:CH[L2] RIS
 13.011  IEEE2        MEASU:IMM:SOU CH[V @Chan];TYPE AMP
 13.012  IEEE2        ACQ:MODE AVE;NUMAV 16;SAMP ET
 13.013  MATH         MEM = 250
 13.014  9500         mVpp                         3.5GH          LS    S  L
 13.015  IEEE2        TRIG:A SETL
 13.016  IEEE         ACQ:STOPA SEQ

 13.017  DO
 13.018  MATH         MEM = MEM1 + (250 - MEM) / 2

 13.019  IF           (MEM > 5000) || (MEM < 100)
 13.020  MATH         MEM = 250
 13.021  ENDIF

 13.022  9500         mVpp                         3.5GH          LS    S  L
 13.023  IEEE2        ACQ:STATE RUN
 13.024  IEEE         MEASU:IMM:VALUE?[I]
# Convert to millivolts.
 13.025  MATH         MEM = MEM / 1E-3
 13.026  UNTIL        (MEM >= 248) && (MEM <= 252)

 13.027  MATH         @mVppApplied = MEM1
 13.028  IEEE2        ACQ:STOPA RUNST;STATE RUN
 13.029  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
 13.030  EVAL   -e @Triggered : Rising Slope, Stable Trigger: [V @TrigLvl] mV

 14.001  HEAD         TRIGGER SENSITIVITY: Ch [V @Chan], Falling Slope
 14.002  TARGET
 14.003  IEEE2        TRIG:A:EDGE:SLO:CH[V @Chan] FALL
 14.004  MATH         MEM = @mVppApplied
 14.005  9500         mVpp                         3.5GH          LS    S  L
 14.006  CALL         Sub Tek DPO7000 Check Trigger and Adjust Level IEEE
 14.007  EVAL   -e @Triggered : Falling Slope, Stable Trigger: [V @TrigLvl] mV

 15.001  HEAD         -2
 15.002  HEAD
 15.003  9500         *                                                 S
 15.004  END
